### Method

# St Widget set_can_focus

#### Declaration [src]

    void
    st_widget_set_can_focus (
      StWidget* widget,
      gboolean can_focus
    )

#### Description [src]

Marks `widget` as being able to receive keyboard focus via keyboard navigation.

Sets property | `St.Widget:can-focus`

#### Parameters

`can_focus`

  Type: `gboolean`

  `TRUE` if the widget can receive keyboard focus via keyboard navigation.